{% comment %} Seção que exibe as informações de cada local cadastrado {% endcomment %}
{% capture results_pane %}
  <div class="tab-pane result-pane ups-points-results-tab -open" data-results-places="" id="content0" role="tabpanel" style="left: 0px;">
    <p class="found-total" data-results-places-count="">0 Lojas encontradas</p>
    <ul class="store-finder-list -loading" data-results-places-list=""></ul>
  </div>
{% endcapture %}

<div class="location">
  <div class="store-locator-inner">

    <div class="store-finder-search-container tbs-form">
      <form action="#" data-find-places-form="">
        <h2 class="store-finder-title">Revendas próximas</h2>

        {% comment %} Input para pesquisa de local {% endcomment %}
        <div class="store-finder-input-wrapper">
          <svg>
            <use xlink:href="#icon-search"></use>
          </svg>
          <input aria-label="Procure por cidade" class="store-finder-input" id="pac-input" name="placesSearch" placeholder="Procure por cidade" type="text" value="">
        </div>

        <span>ou</span>

        <button aria-label="Lojas próxima de mim" class="store-finder-geo-button button-default" data-geolocation type="button">
          <svg class="icon">
            <use xlink:href="#icon-pin"></use>
          </svg>
          Minha Localização
        </button>

        <span>ou</span>

        {% comment %} Dropdown contendo os estados disponíveis {% endcomment %}
        <div class="store-finder-country-dropdown box-select">
          <select data-select-states="" id="select-states" name="states"></select>
        </div>
      </form>

      {% unless mobile %}
        {{ results_pane }}
      {% endunless %}
    </div>

    {% if mobile %}
      {% comment %} Tabs para mudar a visualização entre resultados e mapa {% endcomment %}
      <div class="toggle-content-mobile">
        <button aria-label="Ver lista de lojas" class="-active" data-open-list type="button">
          Ver lista
        </button>
        <button aria-label="Abrir mapa" data-open-map type="button">
          Abrir Mapa
        </button>
      </div>

      {{ results_pane }}
    {% endif %}

    {% comment %} Seção onde o mapa é exibido {% endcomment %}
    <div class="tab-content" tbs-store-finder-results-pane="">
      <div class="tab-pane pane-open map-pane" data-results-map id="content1" role="tabpanel">
        <div class="map-canvas -loading" data-lat="46" data-lng="4" data-zoom="6" id="map-canvas"></div>
      </div>
    </div>
  </div>
</div>

{% body %}
{% assign api_key_maps = 'AIzaSyAx_HWsg0rU6a9_sx86H4NRlKZIwRKcZxo' %}

<script src="{{ 'storeFinder.js' | javascript_path }}"></script>
<script src="https://maps.googleapis.com/maps/api/js?key={{ api_key_maps }}&libraries=places"></script>

{% assign token_places = '' %}

{% if environment == "production" %}
  {% assign token_places = 'bc9f500bb66905438365d3e9c7f50779' %}
{% else %}
  {% assign token_places = 'fd3ee8a6ecafa27b48cef35d7f159c49' %}
{% endif %}

<input type="hidden" data-value="{{ environment }}">

<script src="{{ 'markerClusterer.js' | javascript_path }}"></script>
<script src="{{ 'markerWithLabel.min.js' | javascript_path }}"></script>
{% endbody %}
